## org.eclipse.datatools.connectivity.sqm.core.mappings
Class ProviderIDtoDriverCategoryIDDescriptor

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.mappings.ProviderIDtoDriverCategoryIDDescriptor

All Implemented Interfaces:
  java.lang.Comparable<java.lang.Object>

    public class ProviderIDtoDriverCategoryIDDescriptor

extends java.lang.Object
implements java.lang.Comparable<java.lang.Object>

Represents a provider ID to driver category ID mapping which is provided by the "org.eclipse.datatools.connectivity.sqm.core.mappings.providerIDtoDriverCategoryID" extension point.

EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the DTP Connectivity team.

Author:
  brianf

Field Summary
`static java.lang.String` `PROVIDERIDMAPPING_TAG`

Method Summary
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getDriverCategoryID()` Returns the driver category id.
`org.eclipse.core.runtime.IConfigurationElement` `getElement()` Returns the configuration element.
`static ProviderIDtoDriverCategoryIDDescriptor[]` `getMappingDescriptors()` Returns all contributed provider mapping extensions
`java.lang.String` `getProviderId()` Returns the provider id.
`java.lang.String` `getProviderIDtoDriverCategoryID_ID()` Returns a merger of the provider and category IDs as a unique ID
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROVIDERIDMAPPING_TAG

    public static final java.lang.String PROVIDERIDMAPPING_TAG

See Also:
  Constant Field Values

Method Detail

### getMappingDescriptors

    public static ProviderIDtoDriverCategoryIDDescriptor[] getMappingDescriptors()

  Returns all contributed provider mapping extensions

### getProviderId

    public java.lang.String getProviderId()

  Returns the provider id.

  Returns:
    String ID

### getDriverCategoryID

    public java.lang.String getDriverCategoryID()

  Returns the driver category id.

  Returns:
    String

### getProviderIDtoDriverCategoryID_ID

    public java.lang.String getProviderIDtoDriverCategoryID_ID()

  Returns a merger of the provider and category IDs as a unique ID

  Returns:
    String

### getElement

    public org.eclipse.core.runtime.IConfigurationElement getElement()

  Returns the configuration element.

  Returns:
    IConfigurationElement

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<java.lang.Object>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`